[Overview][Types][Classes][Index] | Reference for unit 'zstream' (#fcl)

# Tcustomzlibstream.create

Create a new instance of TCustomZlibStream

## Declaration

Source position: zstream.pp line 51

`public constructor Tcustomzlibstream.create(`
`stream: TStream`
`);`

## Arguments

`stream` |  | Source or target stream

## Description

Create creates a new instance of TCustomZlibStream. It stores a reference to the input/output stream, and initializes the deflate compression mechanism so they can be used by the descendents.

## See also

TCompressionStream |  | Write-only stream class which compresses data written to it.
TDecompressionStream |  | Reads and decompresses data from a compressed data stream.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.